import { FastifyPluginAsync } from 'fastify';
import { CanvasClient } from '../CanvasClient';

// Controllers
import { ConfigController } from '../http/controllers/ConfigController';

// Services
import { ConfigService } from '../services/_ConfigService';


// TODO: split routes
const configRoutes: FastifyPluginAsync = async (app) => {
  const canvasClient = new CanvasClient();

  const configService = new ConfigService(canvasClient);
  const configController = new ConfigController(configService);


  app.post('/config', configController.getConfig.bind(configController));

};

export default configRoutes;
